HamletSpec.Shape (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.hamlet2, class: HamletSpec, enum: Shape

Package org.apache.hadoop.yarn.webapp.hamlet2

# Enum Class HamletSpec.Shape

java.lang.Object
java.lang.Enum<HamletSpec.Shape>
org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.Shape

All Implemented Interfaces:
  `Serializable`, `Comparable<HamletSpec.Shape>`, `Constable`

Enclosing class:
  HamletSpec

public static enum HamletSpec.Shape extends Enum<HamletSpec.Shape>
%Shape (case-insensitive)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `circle`
  circle
  `Default`
  default
  `poly`
  polygon
  `rect`
  rectangle

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HamletSpec.Shape`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HamletSpec.Shape[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### rect

    public static final HamletSpec.Shape rect
    rectangle

  - ### circle

    public static final HamletSpec.Shape circle
    circle

  - ### poly

    public static final HamletSpec.Shape poly
    polygon

  - ### Default

    public static final HamletSpec.Shape Default
    default

- ## Method Details

  - ### values

    public static HamletSpec.Shape[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HamletSpec.Shape valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null